import aiohttp

from v6d3music.utils.aextract import adaasurl

__all__ = ("real_url",)


async def real_url(url: str, override: bool) -> str:
    base = adaasurl
    async with aiohttp.ClientSession() as session:
        async with session.post(
            f"{base}/resolve",
            json={
                "base": base,
                "url": url,
                "uncached": override,
                "x": True,
            },
        ) as resp:
            if resp.status != 200:
                raise IOError(resp.status)
            return await resp.text()
